> For the complete documentation index, see [llms.txt](https://docs.rainmad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rainmad.com/resources/house-robbery-with-welding-minigame/creating-a-house-for-robbery.md).

# Creating a House for Robbery

## Creating a House for Robbery

To create a house for home robbery, you must have the proper authorization set in the `cfg.lua` file.

Users with this authorization can start the house editor by entering the `/hr_editor` command.

**Steps to Create a House:**

1. **Place the Keypad**: Position the keypad to either the right or left side of the house door, depending on your preference.
2. **Set Entry/Exit Points**: Move the NPC ped to determine the entry and exit points of the house.
3. **Name and House Type**: Assign a name to the house and select its type from the available options.
4. **Saving the House**: Once the house is configured, the details will be saved to the `rm_houserobbery/created_houses.lua` file.
5. **Transfer to Data File**: To finalize the new house, transfer the saved house information to the `rm_houserobbery/data/houses.lua` file.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rainmad.com/resources/house-robbery-with-welding-minigame/creating-a-house-for-robbery.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
